<?php

declare(strict_types=1);

use Symfony\Config\FrameworkConfig;
use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;

return static function (
    ContainerConfigurator $containerConfigurator,
    FrameworkConfig $frameworkConfig,
): void {
    $frameworkConfig
        ->assetMapper()
        ->missingImportMode('strict')
        ->importmapPolyfill(false)
        ->path('assets/', true);
    if ($containerConfigurator->env() === 'prod') {
        $frameworkConfig
            ->assetMapper()
            ->missingImportMode('ignore');
    }
};
